/* File ECOA__FaultHandler.hpp */


#if !defined(__ECOA__FAULTHANDLER_HPP__)
#define __ECOA__FAULTHANDLER_HPP__

namespace ECOA {
   namespace FaultHandler {
      struct IDs {
         ECOA::uint32 value;
         enum EnumValues {

            CMP_Server = 0,
            CMP_Client1 = 1,
            CMP_Client2 = 2,

            PD_dbServer = 0,
            PD_dbClient1 = 1,
            PD_dbClient2 = 2,

            NOD_cpu1 = 0,

            PF_host = 0,

            SOP_Client1_svc_Gimme_Server_svc_Gimme_Gimme = 1088455584,
            SOP_Client2_svc_Gimme_Server_svc_Gimme_Gimme = 62963585,

            DEP_GimmeGimmeGimme_impl = 0

         };
         inline void operator = (ECOA::uint32 i) { value = i; }
         inline operator ECOA::uint32 () const { return value; }

      };
   }
}

#endif

