/* File ESR_HW_modMain_Im.c */
/*
 ##############################################################
 # (C) 2013 BAE SYSTEMS
 #
 # ECOA HelloWorld Sample
 #
 # $Id: ESR_HW_modMain_Im.c,v 1.7 2016/07/19 20:25:00 ksappleb Exp $
 #
 # Part of the BAE Systems, Rochester, ECOA Samples collection
 #
 # Created by K S Appleby, BAE Systems, Airport Works, Rochester, Kent
 #
 # This software is developed for and on behalf of BAE Systems (Operations)
 # Limited, Dassault Aviation, Bull SAS, Thales Systmes Aroports,
 # AgustaWestland Limited, GE Aviation Systems Limited,
 # General Dynamics United Kingdom Limited and Selex ES Ltd.,
 # and the copyright is owned by BAE Systems (Operations) Limited,
 # Dassault Aviation, Bull SAS, Thales Systmes Aroports, AgustaWestland
 # Limited, GE Aviation Systems Limited, General Dynamics United Kingdom
 # Limited and Selex ES Ltd.
 #
 # This software is developed by BAE Systems (Operations)
 # Limited, Electronic Systems, and is the Intellectual
 # Property of BAE Systems (Operations) Limited, Electronic Systems.
 #
 # The information set out in this document is provided solely
 # on an as is basis and the co-developers of this software make
 # no warranties expressed or implied, including no warranties
 # as to completeness, accuracy or fitness for purpose, with respect
 # to any of the information.
 ##############################################################
*/
#include "ESR_HW_modMain_Im.h"
#include <string.h>

/* Runtime lifecycle API */
void ESR_HW_modMain_Im__INITIALIZE__received
   (ESR_HW_modMain_Im__context* context)
{
   /* User Code Here */
}

void ESR_HW_modMain_Im__START__received
   (ESR_HW_modMain_Im__context* context)
{
	ECOA__log msg;
	//
	strcpy( msg.data, "  Hello ECOA World!\007" );
	msg.current_size = strlen( msg.data );
	ESR_HW_modMain_Im_container__log_info( context, msg );
}

void ESR_HW_modMain_Im__STOP__received
   (ESR_HW_modMain_Im__context* context)
{
   /* User Code Here */
}

void ESR_HW_modMain_Im__SHUTDOWN__received
   (ESR_HW_modMain_Im__context* context)
{
   /* User Code Here */
}

void ESR_HW_modMain_Im__REINITIALIZE__received
   (ESR_HW_modMain_Im__context* context)
{
   /* User Code Here */
}

