/* File philosopher.h */
#if !defined(_PHILOSOPHER_H)
#define _PHILOSOPHER_H

#include "ECOA.h" /* Fundamental types declared for the platform */

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

/* Enum type */
typedef ECOA__uint8 philosopher__State;
#define philosopher__State_UNDEFINED (0)
#define philosopher__State_GETTINGSTICKS (1)
#define philosopher__State_EATING (2)
#define philosopher__State_SURRENDERING (3)
#define philosopher__State_THINKING (4)

#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif  /* _PHILOSOPHER_H */
