/* File ECOA__FaultHandler.hpp */


#if !defined(__ECOA__FAULTHANDLER_HPP__)
#define __ECOA__FAULTHANDLER_HPP__

namespace ECOA {
   namespace FaultHandler {
      struct IDs {
         ECOA::uint32 value;
         enum EnumValues {

            CMP_Pub = 0,
            CMP_Sub = 1,

            PD_pub = 0,
            PD_sub = 1,

            NOD_cpu1 = 0,

            PF_host = 0,

            SOP_Sub_TopicX_Pub_TopicX_unusedEv = 1159147868,
            SOP_Sub_TopicX_Pub_TopicX_someData = 294755387,
            SOP_Sub_TopicX_Pub_TopicX_notes = 946055780,
            SOP_Sub_TopicX_Pub_TopicX_log = 1996780633,

            DEP_PubSub_impl = 0

         };
         inline void operator = (ECOA::uint32 i) { value = i; }
         inline operator ECOA::uint32 () const { return value; }

      };
   }
}

#endif

