-- File ECOA-FaultHandler.ads


package ECOA.FaultHandler is

   type IDs_Type is new ECOA.Unsigned_32_Type;


   IDs_CMP_Pub : constant IDs_Type := 0;
   IDs_CMP_Sub : constant IDs_Type := 1;

   IDs_PD_pub : constant IDs_Type := 0;
   IDs_PD_sub : constant IDs_Type := 1;

   IDs_NOD_cpu1  : constant IDs_Type := 0;

   IDs_PF_host  : constant IDs_Type := 0;

   IDs_SOP_Sub_TopicX_Pub_TopicX_unusedEv  : constant IDs_Type := 1159147868;
   IDs_SOP_Sub_TopicX_Pub_TopicX_someData  : constant IDs_Type := 294755387;
   IDs_SOP_Sub_TopicX_Pub_TopicX_notes  : constant IDs_Type := 946055780;
   IDs_SOP_Sub_TopicX_Pub_TopicX_log  : constant IDs_Type := 1996780633;

   IDs_DEP_PubSub_impl  : constant IDs_Type := 0;

end ECOA.FaultHandler;

