/*
 * ECOA.File.API.h
 *
 *  Created on: 23 Apr 2015
 *      Author: sw_appleby
 */

#ifndef USER_ECOA_FILE_API_H_
#define USER_ECOA_FILE_API_H_

#include <ECOA__File.h>

ECOA__return_status Pub_Main_Im_container__open(
						Pub_Main_Im__context   *context,
						ECOA__File__FileName    path,
						ECOA__File__Reference  *fileRef,
						ECOA__File__FileFlag    flags,
						ECOA__File__Permissions perms );

ECOA__return_status Pub_Main_Im_container__close(
						Pub_Main_Im__context  *context,
						ECOA__File__Reference *fileRef );

ECOA__return_status Pub_Main_Im_container__read(
						Pub_Main_Im__context  *context,
						ECOA__File__Reference *fileRef,
						ECOA__byte            *buffer,
						ECOA__uint64           byteCount,
						ECOA__uint64          *bytesRead );

ECOA__return_status Pub_Main_Im_container__write(
						Pub_Main_Im__context  *context,
						ECOA__File__Reference *fileRef,
						ECOA__byte            *buffer,
						ECOA__uint64           byteCount,
						ECOA__uint64          *bytesWritten );

ECOA__return_status Pub_Main_Im_container__seek(
						Pub_Main_Im__context  *context,
						ECOA__File__Reference *fileRef,
						ECOA__int64            seekPosn,
						ECOA__File__SeekBase   base,
						ECOA__int64           *actualPosn );

ECOA__return_status Pub_Main_Im_container__delete(
						Pub_Main_Im__context *context,
						ECOA__File__FileName  path );

#endif /* USER_ECOA_FILE_API_H_ */
