-- File sql.ads

-- Standard ECOA Types
with ECOA;

package sql is

-- Array type
type string_Index is range 0..65536-1;
type string_Data is array
    (string_Index) of ECOA.Character_8_Type;
type string is
   record
      Current_Size : string_Index;
      Data         : string_Data;
   end record;

end sql;

