-- File ECOA-FaultHandler.ads


package ECOA.FaultHandler is

   type IDs_Type is new ECOA.Unsigned_32_Type;


   IDs_CMP_Table : constant IDs_Type := 0;
   IDs_CMP_P1 : constant IDs_Type := 1;
   IDs_CMP_P2 : constant IDs_Type := 2;
   IDs_CMP_P3 : constant IDs_Type := 3;
   IDs_CMP_P4 : constant IDs_Type := 4;
   IDs_CMP_P5 : constant IDs_Type := 5;

   IDs_PD_Restaurant : constant IDs_Type := 0;

   IDs_NOD_cpu  : constant IDs_Type := 0;

   IDs_PF_host  : constant IDs_Type := 0;

   IDs_SOP_P1_svc_Chopsticks_Table_svc_Chopsticks_take  : constant IDs_Type := 10010708;
   IDs_SOP_P1_svc_Chopsticks_Table_svc_Chopsticks_surrender  : constant IDs_Type := 406400967;
   IDs_SOP_P2_svc_Chopsticks_Table_svc_Chopsticks_take  : constant IDs_Type := 134083955;
   IDs_SOP_P2_svc_Chopsticks_Table_svc_Chopsticks_surrender  : constant IDs_Type := 1564538490;
   IDs_SOP_P3_svc_Chopsticks_Table_svc_Chopsticks_take  : constant IDs_Type := 258157202;
   IDs_SOP_P3_svc_Chopsticks_Table_svc_Chopsticks_surrender  : constant IDs_Type := 759489349;
   IDs_SOP_P4_svc_Chopsticks_Table_svc_Chopsticks_take  : constant IDs_Type := 382230449;
   IDs_SOP_P4_svc_Chopsticks_Table_svc_Chopsticks_surrender  : constant IDs_Type := 1211450108;
   IDs_SOP_P5_svc_Chopsticks_Table_svc_Chopsticks_take  : constant IDs_Type := 506303696;
   IDs_SOP_P5_svc_Chopsticks_Table_svc_Chopsticks_surrender  : constant IDs_Type := 1112577731;

   IDs_DEP_Restaurant_impl  : constant IDs_Type := 0;

end ECOA.FaultHandler;

